Package org.jboss.resteasy.jose.jwe

## Enum EncryptionMethod

- java.lang.Object
- - java.lang.Enum<EncryptionMethod>
  - - org.jboss.resteasy.jose.jwe.EncryptionMethod

- All Implemented Interfaces:
    `Serializable`, `Comparable<EncryptionMethod>`

      public enum EncryptionMethod
      extends Enum<EncryptionMethod>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `A128CBC_HS256` |
    `A128GCM` |
    `A256CBC_HS512` |
    `A256GCM` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MessageDigest` | `createSecretDigester()` |
    `int` | `getCekBitLength()` |
    `static EncryptionMethod` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static EncryptionMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A128CBC_HS256

          public static final EncryptionMethod A128CBC_HS256

    - #### A256CBC_HS512

          public static final EncryptionMethod A256CBC_HS512

    - #### A128GCM

          public static final EncryptionMethod A128GCM

    - #### A256GCM

          public static final EncryptionMethod A256GCM

  - ### Method Detail

    - #### values

          public static EncryptionMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncryptionMethod c : EncryptionMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncryptionMethod valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCekBitLength

          public int getCekBitLength()

    - #### createSecretDigester

          public MessageDigest createSecretDigester()